Subject: bug#73304: Python in relocatable guix pack leads to wrong sys.path

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 01 Feb 2025 01:09:44 +0900

Hi,

[...]

>> That's indeed preferable, but according to my analysis not possible, as
>> there are situations of faulty startup behavior in which out
>> sitecustomize.py is not run at all.
>
> I think I had read this from you before but I hadn't grasped how that's
> possible/when it occurs.  Do yo have a link, or refresher?
>
>> What we can envisage is a combination of
>>  1. patching Python
>>  2. using realpath rather than normpath in our sitecustomize.py
>
> I hope we could get by with just 2.

I've just reread the original message in this thread/issue, and it has a
reproducer demonstrating the problem.  If Python itself breaks the
symlinks paths before it even gets to run our sitecustomize.py, then
yes, we'd need a fix on the Python side.

I guess we should revisit this issue upstream (perhaps some are still
opened), show our broken use case, and discuss a solution with them?

-- 
Thanks,
Maxim